Hosted Venue Accounts
Provision hosted venue account
POST
appIdbearerAuthheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
header
AuthorizationBearer <JWT>JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.
venue*stringapplication/json- body
mode*"live"Value in
"live"200
application/json- response
venue*"betdex"Value in
"betdex"accountModel*"platform-hosted"Value in
"platform-hosted"accountId*stringenvironment*stringValue in
"sandbox""production"status*stringValue in
"not_created""provisioning""active""suspended""unavailable""disabled"provisioningEnabled*booleanfundingNetwork*"solana"Value in
"solana"balanceStatus*stringValue in
"available""unavailable""not_applicable"balance*curl -X POST 'https://api.t.sufwankhalid.com/users/me/venue-accounts/string' \ -H 'Content-Type: application/json' \ -d '{ "mode": "live"}'Example Response
{ "venue": "betdex", "accountModel": "platform-hosted", "accountId": "string", "environment": "sandbox", "status": "not_created", "provisioningEnabled": true, "fundingNetwork": "solana", "balanceStatus": "available", "balance": { "asset": "USDC", "decimals": 6, "totalRaw": "string", "availableRaw": "string", "unmatchedExposureRaw": "string", "updatedAt": "2019-08-24T14:15:22Z" }}